LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XGraphicRenderer Interface Reference

This interfaces exposes just one method to render a XGraphic container. More...

`import"XGraphicRenderer.idl";`

Inheritance diagram for XGraphicRenderer:

## Public Member Functions
void | render ([in] ::com::sun::star::graphic::XGraphic Graphic)
| Renders the XGraphic container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interfaces exposes just one method to render a XGraphic container.

## Member Function Documentation

## ◆ render()

void render | ( | [in] ::com::sun::star::graphic::XGraphic | Graphic | ) |

Renders the XGraphic container.

Parameters

  Graphic | The graphic container to be rendered

See also
  XGraphic

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicRenderer.idl